! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 5.3. Vector element operations.
  program F03
    implicit none
    integer, parameter :: L = 3
    real, dimension(L) :: Height
! start program F03
    Height(1) = 123.45
    write (unit = *, fmt = *) " Please enter a real number. "
    read (unit = *, fmt = *) Height(2)
    Height(3) = 2.0 * Height(1) + Height(2)
    write (unit = *, fmt = *) Height(1), Height(2), Height(3)
    stop
  end program F03
